function onBegin()
	makeUnskippable()
    disableRetry()
    disableMovement()
	say("NCG_Reckoning_CutsceneGoldenSkip")

	if choice("NCG_Reckoning_CutsceneGoldenSkipYes", "NCG_Reckoning_CutsceneGoldenSkipNo") == 1 then
        setFlag("NCGCutsceneSkippedYes")
    else
        setFlag("NCGCutsceneSkippedNo")
    end
end

function onEnd()
    enableRetry()
    enableMovement()
	setFlag("NCGCutsceneResult")
end